%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%if "%distro_section" == "tainted"
%global build_plf 1
%else
%global build_plf 0
%endif

# (cg) Cheater...
%define Werror_cflags %nil

# (aco) Needed for the dri drivers
%define _disable_ld_no_undefined 1

# http://cgit.freedesktop.org/mesa/mesa/commit/?h=9.1&id=38e728498b8ef63bb7dce77c64af11c98ec2efa4
%define git 0
%define git_branch 9.1
%define with_hardware 1

%define opengl_ver 3.0

%define relc			0
%define	name			mesa
%define fversion		9.1.2
%define version			9.1.2
%define rel			1

%define release			%mkrel %{rel}
%define src_type tar.bz2
#define vsuffix			%{expand:}
%define vsuffix			%nil

%if %{relc}
%define release			%mkrel 0.rc%{relc}.%{rel}
%define vsuffix -rc%{relc}
%define src_type tar.bz2
%endif

%if %{git}
%if %{relc}
%define release			%mkrel 0.rc%{relc}.1.git%{git}.%{rel}
%else
%define release			%mkrel 0.git%{git}.%{rel}
%endif
%endif

%define makedepend		%{_bindir}/gccmakedep

%define dricorename		dricore
%define eglname			mesaegl
%define glname			mesagl
%define glwname			mesaglw
%define glesv1name		mesaglesv1
%define glesv2name		mesaglesv2
%define openvgname		mesaopenvg
%define glapiname		glapi
%define gbmname			gbm
%define waylandeglname		wayland-egl

%define dricoremajor		1
%define eglmajor		1
%define glmajor			1
%define glwmajor		1
%define glesv1major		1
%define glesv2major		2
%define openvgmajor		1
%define glapimajor		0
%define gbmmajor		1
%define waylandeglmajor		1
%define osmesamajor		8
%define llvmradeonmajor		%{version}

%define libdricorename          %mklibname %{dricorename} %{dricoremajor}
%define libeglname              %mklibname %{eglname} %{eglmajor}
%define libglname		%mklibname %{glname} %{glmajor}
%define libglwname		%mklibname %{glwname} %{glwmajor}
%define libglesv1name		%mklibname %{glesv1name}_ %{glesv1major}
%define libglesv2name		%mklibname %{glesv2name}_ %{glesv2major}
%define libopenvgname		%mklibname %{openvgname} %{openvgmajor}
%define libglapiname		%mklibname %{glapiname} %{glapimajor}
%define libgbmname		%mklibname %{gbmname} %{gbmmajor}
%define libwaylandeglname	%mklibname %{waylandeglname} %{waylandeglmajor}
%define libosmesaname		%mklibname osmesa %{osmesamajor}
%define libllvmradeonname	%mklibname llvmradeon %{llvmradeonmajor}

%define dridrivers		%mklibname dri-drivers

%define osmesadevel		%mklibname osmesa -d

# Architecture-independent Virtual provides:
%define libdricorename_virt	lib%{dricorename}
%define libeglname_virt		lib%{eglname}
%define libglname_virt		lib%{glname}
%define libglwname_virt		lib%{glwname}
%define libglesv1name_virt	lib%{glesv1name}
%define libglesv2name_virt	lib%{glesv2name}
%define libopenvgname_virt	lib%{openvgname}
%define libglapiname_virt       lib%{glapiname}
%define libgbmname_virt       	lib%{gbmname}
%define libwaylandeglname_virt	lib%{waylandeglname}

%define oldlibglname		%mklibname MesaGL 1

%define mesasrcdir		%{_prefix}/src/Mesa/
%define driver_dir		%{_libdir}/dri

%define enable_egl		1
%define enable_wayland		1

#FIXME: (for 386/485) unset SSE, MMX and 3dnow flags
#FIXME: (for >=i586)  disable sse
#       SSE seems to have problem on some apps (gtulpas) for probing.
%define	dri_drivers_i386	"i915,i965,nouveau,r200,radeon,swrast"
%define	dri_drivers_x86_64	%{dri_drivers_i386}
%define	dri_drivers_ppc		"r200,radeon,swrast"
%define	dri_drivers_ppc64	""
%define	dri_drivers_ia64	"i915,i965,mga,r200,radeon,swrast"
%define	dri_drivers_alpha	"r200,radeon,swrast"
%define	dri_drivers_sparc	"ffb,radeon,swrast"
%define dri_drivers_mipsel	"r200,radeon,swrast"
%define dri_drivers_arm		"nouveau,r200,radeon,swrast"
%define	dri_drivers		%{expand:%{dri_drivers_%{_arch}}}

Name:		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	OpenGL %{opengl_ver} compatible 3D graphics library
Group:		System/Libraries

BuildRequires:	pkgconfig(xfixes)	>= 4.0.3
BuildRequires:	pkgconfig(xt)		>= 1.0.5
BuildRequires:	pkgconfig(xmu)		>= 1.0.3
BuildRequires:	pkgconfig(x11)		>= 1.3.3
BuildRequires:	pkgconfig(xdamage)	>= 1.1.1
BuildRequires:	libexpat-devel		>= 2.0.1
BuildRequires:	gccmakedep
BuildRequires:	x11-proto-devel		>= 7.3
BuildRequires:	pkgconfig(libdrm)	>= 2.4.21

BuildRequires:	pkgconfig(xext)		>= 1.1.1
BuildRequires:	pkgconfig(xxf86vm)	>= 1.1.0
BuildRequires:	pkgconfig(xi)		>= 1.3
BuildRequires:	pkgconfig(talloc)
BuildRequires:	libxml2-python
BuildRequires:	makedepend
BuildRequires:  bison flex
BuildRequires:  llvm-devel > 3.2-1
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(vdpau)
%if %{enable_wayland}
BuildRequires:  wayland-devel
%endif

URL:		http://www.mesa3d.org
%if %{git}
Source0:	%{name}-%{git}.tar.bz2
# (blino) snapshot of 9.0 branch
#Source0:	%{name}-%{git_branch}-%{git}.tar.bz2
%else
Source0:	ftp://ftp.freedesktop.org/pub/mesa/%version/MesaLib-%{fversion}%{vsuffix}.%{src_type}
%endif
Source3:	make-git-snapshot.sh

# Instructions to setup your repository clone
# git://git.freedesktop.org/git/mesa/mesa
# git checkout mesa_7_5_branch
# git branch mdv-cherry-picks
# git am ../02??-*.patch
# git branch mdv-redhat
# git am ../03??-*.patch
# git branch mdv-patches
# git am ../09??-*.patch
# In order to update to the branch via patches, issue this command:
# git format-patch --start-number 100 mesa_7_5_1..mesa_7_5_branch | sed 's/^0\([0-9]\+\)-/Patch\1: 0\1-/'

# Cherry picks
# git format-patch --start-number 200 mesa_7_5_branch..mdv-cherry-picks
Patch201: 0201-revert-fix-glxinitializevisualconfigfromtags-handling.patch
Patch202: radeonsi-add-new-SI-pci-ids.patch
Patch203: r600g-add-new-richland-pci-ids.patch

# (blino) should be pushed to 9.0 branch upstream
#Patch202: 0202-radeon-llvm-Cleanup-makefile.patch
#Patch203: 0203-radeon-llvm-Remove-R600InstrInfo.td-from-TD_FILES.patch

# Patches "liberated" from Fedora:
# http://cvs.fedoraproject.org/viewvc/rpms/mesa/devel/
# git format-patch --start-number 300 mdv-cherry-picks..mdv-redhat

# Patches from ChromiumOS
# http://git.chromium.org/gitweb/?p=chromiumos/overlays/chromiumos-overlay.git;a=tree;f=media-libs/mesa/files;hb=HEAD

# Mageia/Mandriva patches
# git format-patch --start-number 900 mdv-redhat..mdv-patches
# (blino) llvmpipe test programs link fails when ld --as-needed option is used, reported as fdo #52167
#Patch901: 0901-gallium-only-link-static-archives-between-ld-start-e.patch

#------------------------------------------------------------------------------

# package mesa
License:	MIT
Requires:	%{libglname} = %{version}-%{release}
Provides:	hackMesa = %{version}
Obsoletes:	hackMesa <= %{version}
Provides:	Mesa = %{version}
Obsoletes:	Mesa < %{version}

%package -n	%{libdricorename}
Summary:	Shared library for DRI drivers
Group:		System/Libraries
Provides:	%{libdricorename_virt} = %{version}-%{release}

%package -n	%{libdricorename}-devel
Summary:	Development files for DRI core
Group:		Development/C
Requires:	%{libdricorename} = %{version}-%{release}
Provides:	lib%{dricorename}-devel = %{version}-%{release}
Provides:	%{dricorename}-devel = %{version}-%{release}

%package -n	%{libglname}
Summary:	Files for Mesa (GL and GLX libs)
Group:		System/Libraries
Obsoletes:	%{oldlibglname} < 6.4
Provides:	%{oldlibglname} = %{version}-%{release}
Provides:	%{libglname_virt} = %{version}-%{release}
Requires:	%{dridrivers} >= %{version}-%{release}
%if %{build_plf}
Requires:	%mklibname txc-dxtn
%endif

# (anssi) Forces the upgrade of x11-server-common to happen before
# alternatives removal, which allows x11-server-common to grab the symlink.
Conflicts:	x11-server-common < 1.3.0.0-17

%package -n	%{dridrivers}
Summary:	Mesa DRI drivers
Group:		System/Libraries
# do not require exact release to avoid conflicts when having
# x86_64 dri drivers from tainted and i586 dri drivers from core
Requires:	mesa = %{version}
Conflicts:	%{_lib}MesaGL1 < 7.7-5
Obsoletes:	%{_lib}dri-drivers-experimental < 7.11.2-4
Provides:	%{_lib}dri-drivers-experimental = %{version}-%{release}

%package -n	%{libglname}-devel
Summary:	Development files for Mesa (OpenGL compatible 3D lib)
Group:		Development/C
Requires:	%{libglname} = %{version}-%{release}
Provides:	lib%{glname}-devel = %{version}-%{release}
Provides:	%{glname}-devel = %{version}-%{release}
Provides:	GL-devel
Obsoletes:	%{oldlibglname}-devel < 6.4
Provides:	%{oldlibglname}-devel = %{version}-%{release}
Provides:	libMesaGL-devel = %{version}-%{release}
Provides:	MesaGL-devel = %{version}-%{release}
Provides:	libgl-devel

%if %{enable_egl}
%package -n	%{libeglname}
Summary:	Files for Mesa (EGL libs)
Group:		System/Libraries
Provides:	%{libeglname_virt} = %{version}-%{release}

%package -n	%{libeglname}-devel
Summary:	Development files for Mesa (EGL libs)
Group:		Development/C
Requires:	%{libeglname} = %{version}-%{release}
Provides:	EGL-devel
Provides:	lib%{eglname}-devel
Provides:	%{eglname}-devel
Provides:	libegl-devel
%endif

%package -n %{libosmesaname}
Summary:	Mesa offscreen rendering library
Group:		System/Libraries

%package -n %{osmesadevel}
Summary:	Development files for libosmesa
Group:		Development/C
Requires:	%{libosmesaname} = %{version}-%{release}
Provides:	osmesa-devel = %{version}-%{release}
Conflicts:	MesaGL-devel < 8.1.0-0.git20120727.3

%package -n %{libglapiname}
Summary:	Files for mesa (glapi libs)
Group:		System/Libraries
Provides:	%{libglapiname_virt} = %{version}-%{release}

%package -n %{libglapiname}-devel
Summary:	Development files for glapi libs
Group:		Development/C
Requires:	%{libglapiname_virt} = %{version}-%{release}
Provides:	lib%{glapiname}-devel
Provides:	%{libglapiname}-devel

%package -n %{libglesv1name}
Summary:	Files for Mesa (glesv1 libs)
Group:		System/Libraries
Provides:	%{libglesv1name_virt} = %{version}-%{release}

%package -n %{libglesv1name}-devel
Summary:	Development files for glesv1 libs
Group:		Development/C
Requires:	%{libglesv1name} = %{version}-%{release}
Provides:	lib%{glesv1name}-devel
Provides:	%{glesv1name}-devel
Provides:	libglesv1-devel

%package -n %{libglesv2name}
Summary:	Files for Mesa (glesv2 libs)
Group:		System/Libraries
Provides:	%{libglesv2name_virt} = %{version}-%{release}

%package -n %{libglesv2name}-devel
Summary:	Development files for glesv2 libs
Group:		Development/C
Requires:	%{libglesv2name} = %{version}-%{release}
Requires:	%{libeglname}-devel = %{version}-%{release}
Provides:	lib%{glesv2name}-devel
Provides:	%{glesv2name}-devel
Provides:	libglesv2-devel

%package -n %{libopenvgname}
Summary:	Files for MESA (OpenVG libs)
Group:		System/Libraries
Provides:	%{libopenvgname_virt} = %{version}-%{release}

%package -n %{libopenvgname}-devel
Summary:	Development files vor OpenVG libs
Group:		Development/C
Requires:	%{libopenvgname} = %{version}-%{release}
Provides:	lib%{openvgname}-devel
Provides:	%{openvgname}-devel
Provides:	libopenvg-devel

%package -n %{libllvmradeonname}
Summary:	Files for MESA (LLVM radeon library)
Group:		System/Libraries

%if %{enable_wayland}
%package -n	%{libgbmname}
Summary:	Files for Mesa (gbm libs)
Group:		System/Libraries
Provides:	%{libgbmname_virt} = %{version}-%{release}

%package -n	%{libgbmname}-devel
Summary:	Development files for Mesa (gbm libs)
Group:		Development/C
Requires:	%{libgbmname} = %{version}-%{release}
Provides:	lib%{gbmname}-devel
Provides:	%{gbmname}-devel

%package -n	%{libwaylandeglname}
Summary:	Files for Mesa (Wayland EGL libs)
Group:		System/Libraries
Provides:	%{libwaylandeglname_virt} = %{version}-%{release}

%package -n	%{libwaylandeglname}-devel
Summary:	Development files for Mesa (Wayland EGL libs)
Group:		Development/C
Requires:	%{libwaylandeglname} = %{version}-%{release}
Provides:	lib%{waylandeglname}-devel
Provides:	%{waylandeglname}-devel
%endif

%package -n	%{_lib}vdpau-driver-nouveau
Summary:	VDPAU plugin for nouveau driver
Group:		System/Libraries
# temporary:
%rename vdpau-driver-nouveau

%package -n	%{_lib}vdpau-driver-r300
Summary:	VDPAU plugin for r300 driver
Group:		System/Libraries
# temporary:
%rename vdpau-driver-r300

%package -n	%{_lib}vdpau-driver-r600
Summary:	VDPAU plugin for r600 driver
Group:		System/Libraries
# temporary:
%rename vdpau-driver-r600

%package -n	%{_lib}vdpau-driver-radeonsi
Summary:	VDPAU plugin for radeonsi driver
Group:		System/Libraries
# temporary:
%rename vdpau-driver-radeonsi

%package -n	%{_lib}vdpau-driver-softpipe
Summary:	VDPAU plugin for softpipe driver
Group:		System/Libraries
# temporary:
%rename vdpau-driver-softpipe

%package	common-devel
Summary:	Meta package for mesa devel
Group:		Development/C
Provides:	Mesa-common-devel = %{version}-%{release}
Provides:	hackMesa-common-devel = %{version}
Obsoletes:	Mesa-common-devel < %{version}
Obsoletes:	hackMesa-common-devel < %{version}
Requires:	%{libglname}-devel = %{version}
Requires:	mesaglu-devel
Requires:	freeglut-devel
Requires:	%{libeglname}-devel = %{version}
Requires:	%{libglesv1name}-devel = %{version}
Requires:	%{libglesv2name}-devel = %{version}

#------------------------------------------------------------------------------

%description
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
%if %{build_plf}

This package is in the "tainted" section because it enables some
OpenGL extentions that are covered by software patents.
%endif

%description common-devel
Mesa common metapackage devel

%if %{enable_egl}
%description -n	%{libeglname}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
EGL parts.

%description -n	%{libeglname}-devel
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
EGL development parts.
%endif

%description -n	%{libdricorename}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
DRI core part.

%description -n	%{libglname}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
GL and GLX parts.

%if %{build_plf}
This package is in the "tainted" section because it enables some
OpenGL extentions that are covered by software patents.
%endif

%description -n %{dridrivers}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
DRI drivers.

%description -n	%{libdricorename}-devel
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.

This package contains the headers needed to compile DRI drivers.

%description -n	%{libglname}-devel
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.

This package contains the headers needed to compile Mesa programs.

%description -n %{libglesv1name}
OpenGL ES is a low-level, lightweight API for advanced embedded graphics using
well-defined subset profiles of OpenGL.

This package provides the OpenGL ES library version 1.

%description -n %{libosmesaname}
Mesa offscreen rendering libraries for rendering OpenGL into
application-allocated blocks of memory.

%description -n %{osmesadevel}
This package contains the headers needed to compile programs against
the Mesa offscreen rendering library.

%description -n %{libglapiname}
This packages provides the glapi shared library used by gallium.

%description -n %{libglapiname}-devel
This package contains the headers needed to compile programes against glapi shared library.

%description -n %{libglesv1name}-devel
This package contains the headers needed to compile OpenGL ES 1 programs.

%description -n %{libglesv2name}
OpenGL ES is a low-level, lightweight API for advanced embedded graphics using
well-defined subset profiles of OpenGL.

This package provides the OpenGL ES library version 2.

%description -n %{libglesv2name}-devel
This package contains the headers needed to compile OpenGL ES 2 programs.

%description -n %{libopenvgname}
OpenVG is a royalty-free, cross-platform API that provides a low-level hardware
acceleration interface for vector graphics libraries such as Flash and SVG.

%description -n %{libopenvgname}-devel
Development files for OpenVG library.

%description -n %{libllvmradeonname}
Gallium LLVM Radeon driver.

%if %{enable_wayland}
%description -n	%{libgbmname}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
GBM (Graphics Buffer Manager) parts.

%description -n	%{libgbmname}-devel
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
GBM (Graphics Buffer Manager) development parts.

%description -n	%{libwaylandeglname}
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
Wayland EGL platform parts.

%description -n	%{libwaylandeglname}-devel
Mesa is an OpenGL %{opengl_ver} compatible 3D graphics library.
Wayland EGL platform development parts.
%endif

%description -n %{_lib}vdpau-driver-nouveau
This packages provides a VPDAU plugin to enable video acceleration
with the nouveau driver.

%description -n %{_lib}vdpau-driver-r300
This packages provides a VPDAU plugin to enable video acceleration
with the r300 driver.

%description -n %{_lib}vdpau-driver-r600
This packages provides a VPDAU plugin to enable video acceleration
with the r600 driver.

%description -n %{_lib}vdpau-driver-radeonsi
This packages provides a VPDAU plugin to enable video acceleration
with the radeonsi driver.

%description -n %{_lib}vdpau-driver-softpipe
This packages provides a VPDAU plugin to enable video acceleration
with the softpipe driver.

#------------------------------------------------------------------------------

%prep
%if %{git}
%setup -q -n mesa-%{git}
#setup -q -n mesa-%{git_branch}-%{git}
%else
%setup -q -n Mesa-%{fversion}%{vsuffix}
%endif

%apply_patches

# Duplicate source tree for OSMesa, since building both versions out-of-tree
# would break build. - Anssi 12/2012
all=$(ls)
mkdir -p build-osmesa
cp -al $all build-osmesa

%build
# (re)generate auto* generated files using our autotools and libtoolize
autoreconf -vfi

# fix build - TODO: should this be fixed in llvm somehow, or maybe the library
# symlinks should be moved to %{_libdir}? -Anssi 08/2012
export LDFLAGS="-L%{_libdir}/llvm"

%configure2_5x	--enable-dri \
		--enable-glx \
		--with-dri-driverdir=%{driver_dir} \
		--with-dri-drivers="%{dri_drivers}" \
%if %{enable_egl}
		--enable-egl \
%else
		--disable-egl \
%endif
%if %{enable_wayland}
		--with-egl-platforms=x11,wayland,drm \
		--enable-gbm \
		--enable-shared-glapi \
%endif
		--enable-gles1 \
		--enable-gles2 \
		--enable-openvg \
		--enable-gallium-egl \
		--enable-gallium-g3dvl \
		--disable-xvmc \
		--enable-vdpau \
%if %{with_hardware}
		--with-gallium-drivers=r300,r600,radeonsi,nouveau,swrast \
		--enable-gallium-llvm \
%else
		--disable-gallium-llvm \
		--with-gallium-drivers=swrast \
%endif
%if %{build_plf}
		--enable-texture-float  \
%endif
		# end of configure options


# Build OSMesa separately, since we want to build OSMesa without shared-glapi,
# since doing that causes OSMesa to miss the OpenGL symbols.
# See e.g. https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1066599
# -Anssi 12/2012

pushd build-osmesa
autoreconf -vfi
%configure2_5x \
		--enable-osmesa \
		--disable-dri \
		--disable-glx \
		--disable-egl \
		--disable-shared-glapi \
		--without-gallium-drivers
popd

%make
%make -C build-osmesa || ( %make -C build-osmesa/src/mesa/program libprogram.la && %make -C build-osmesa )

%install
%makeinstall_std -C build-osmesa
%makeinstall_std

# FIXME: strip will likely break the hardlink
# (blino) hardlink libGL files in %{_libdir}/mesa
# to prevent proprietary driver installers from removing them
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mesa
pushd $RPM_BUILD_ROOT%{_libdir}/mesa
for l in ../libGL.so.*; do cp -a $l .; done
popd

%ifarch %{x86_64}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/dri
%endif

# .so files are not needed by vdpau
rm -f %{buildroot}%{_libdir}/vdpau/libvdpau_*.so

# .la files are not needed by mesa
find %{buildroot} -name '*.la' -exec rm {} \;

# use swrastg if built (Anssi 12/2011)
[ -e %{buildroot}%{_libdir}/dri/swrastg_dri.so ] && mv %{buildroot}%{_libdir}/dri/swrast{g,}_dri.so

#------------------------------------------------------------------------------

%files
%defattr(-,root,root)
%doc docs/COPYING
%config(noreplace) %{_sysconfdir}/drirc

%files -n %{libdricorename}
%{_libdir}/libdricore%{version}.so.%{dricoremajor}
%{_libdir}/libdricore%{version}.so.%{dricoremajor}.*

%files -n %{libdricorename}-devel
%{_libdir}/libdricore%{version}.so

%files -n %{dridrivers}
%defattr(-,root,root)
%doc docs/COPYING
%ifnarch ppc64
%dir %{_libdir}/dri
# (blino) new mesa 8.1 build system seems to use a static libglsl
#%{_libdir}/dri/libglsl.so
%{_libdir}/dri/*_dri.so
%endif

%files -n %{libglname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGL.so.*
%dir %{_libdir}/mesa
%{_libdir}/mesa/libGL.so.%{glmajor}*

%if %{enable_egl}
%files -n %{libeglname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libEGL.so.%{eglmajor}*
%dir %{_libdir}/egl
%if !%{enable_wayland}
# st_GL, built only when shared glapi is not enabled
%{_libdir}/egl/st_GL.so
%endif
%{_libdir}/egl/egl_gallium.so
%endif

%files -n %{libosmesaname}
%defattr(-,root,root)
%{_libdir}/libOSMesa.so.%{osmesamajor}*

%files -n %{libglapiname}
%defattr(-,root,root)
%{_libdir}/libglapi.so.%{glapimajor}*

%files -n %{libglesv1name}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGLESv1_CM.so.%{glesv1major}*

%files -n %{libglesv2name}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGLESv2.so.%{glesv2major}*

%files -n %{libopenvgname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libOpenVG.so.%{openvgmajor}*

%files -n %{libllvmradeonname}
%defattr(-,root,root)
%{_libdir}/libllvmradeon%version.so

%if %{enable_wayland}
%files -n %{libgbmname}
%{_libdir}/libgbm.so.%{gbmmajor}
%{_libdir}/libgbm.so.%{gbmmajor}.*
%{_libdir}/gbm/gbm_*.so
%{_libdir}/gallium-pipe/pipe_*.so

%files -n %{libwaylandeglname}
%{_libdir}/libwayland-egl.so.%{waylandeglmajor}
%{_libdir}/libwayland-egl.so.%{waylandeglmajor}.*
%endif


%files -n %{libglname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%dir %{_includedir}/GL
%{_includedir}/GL/gl.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/gl_mangle.h
%{_includedir}/GL/wglext.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glxext.h
%{_includedir}/GL/glx_mangle.h
%{_libdir}/libGL.so
%{_libdir}/pkgconfig/gl.pc
%{_libdir}/pkgconfig/dri.pc

#FIXME: check those headers
#{_includedir}/GL/vms_x_fix.h
%{_includedir}/GL/wmesa.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/dri_interface.h

%files common-devel
%defattr(-,root,root)

%if %{enable_egl}
%files -n %{libeglname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%{_includedir}/EGL
%{_includedir}/KHR
%{_libdir}/libEGL.so
%{_libdir}/pkgconfig/egl.pc
%endif

%files -n %{osmesadevel}
%defattr(-,root,root)
%dir %{_includedir}/GL
%{_includedir}/GL/osmesa.h
%{_libdir}/libOSMesa.so
%{_libdir}/pkgconfig/osmesa.pc

%files -n %{libglapiname}-devel
%defattr(-,root,root)
%{_libdir}/libglapi.so

%files -n %{libglesv1name}-devel
%defattr(-,root,root)
%{_includedir}/GLES
%{_libdir}/libGLESv1_CM.so
%{_libdir}/pkgconfig/glesv1_cm.pc

%files -n %{libglesv2name}-devel
%defattr(-,root,root)
%{_includedir}/GLES2
%{_includedir}/GLES3
%{_libdir}/libGLESv2.so
%{_libdir}/pkgconfig/glesv2.pc

%files -n %{libopenvgname}-devel
%defattr(-,root,root)
%{_includedir}/VG
%{_libdir}/libOpenVG.so
%{_libdir}/pkgconfig/vg.pc

%if %{enable_wayland}
%files -n %{libgbmname}-devel
%{_includedir}/gbm.h
%{_libdir}/libgbm.so
%{_libdir}/pkgconfig/gbm.pc

%files -n %{libwaylandeglname}-devel
%{_libdir}/libwayland-egl.so
%{_libdir}/pkgconfig/wayland-egl.pc
%endif

%files -n %{_lib}vdpau-driver-nouveau
%{_libdir}/vdpau/libvdpau_nouveau.so.*

%files -n %{_lib}vdpau-driver-r300
%{_libdir}/vdpau/libvdpau_r300.so.*

%files -n %{_lib}vdpau-driver-r600
%{_libdir}/vdpau/libvdpau_r600.so.*

%files -n %{_lib}vdpau-driver-radeonsi
%{_libdir}/vdpau/libvdpau_radeonsi.so.*

%files -n %{_lib}vdpau-driver-softpipe
%{_libdir}/vdpau/libvdpau_softpipe.so.*


%changelog

* Wed May 01 2013 tv <tv> 9.1.2-1.mga3
+ Revision: 411744
- new release

* Sat Apr 27 2013 tmb <tmb> 9.1.1-2.mga3.tainted
+ Revision: 411326
- radeonsi: add new SI pci ids
- r600g: add new richland pci ids

* Wed Mar 20 2013 tv <tv> 9.1.1-1.mga3.tainted
+ Revision: 404192
- do not hardcode version in file list
- new release

  + fwang <fwang>
    - update llvmradeonmajor

* Sat Feb 23 2013 tmb <tmb> 9.1.0-1.mga3.tainted
+ Revision: 400079
- update to 9.1 final

* Thu Feb 14 2013 cjw <cjw> 9.1.0-0.git20130213.1.mga3.tainted
+ Revision: 398478
- new snapshot

* Sat Feb 02 2013 cjw <cjw> 9.1.0-0.git20130201.1.mga3.tainted
+ Revision: 394036
- new snapshot from 9.1 branch (20130201)

* Wed Jan 16 2013 cjw <cjw> 9.1.0-0.git20130114.1.mga3.tainted
+ Revision: 388874
- new git snapshot (20130114)
- disable patch901, apparently not needed anymore

* Sat Jan 12 2013 umeabot <umeabot> 9.1.0-0.git20121228.3.mga3.tainted
+ Revision: 359973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 cjw <cjw> 9.1.0-0.git20121228.2.mga3.tainted
+ Revision: 336233
- build osmesa separately again since this is still needed, with a workaround for the build problem

* Sat Dec 29 2012 cjw <cjw> 9.1.0-0.git20121228.1.mga3.tainted
+ Revision: 336175
- 9.1 snapsnot from 20121228
- disable separate osmesa build since it fails to build, let's hope it is not needed anymore
- move autoreconf to build section where it belongs
- drop unrecognized configure options --enable-shared-dricore and --disable-va

  + tv <tv>
    - rebuild for new llvm

* Tue Dec 18 2012 anssi <anssi> 9.0.1-2.mga3.tainted
+ Revision: 332631
- build OSMesa separately without shared-glapi instead of patching
  undefined symbols, since that was not enough to get a properly working
  OSMesa

* Sat Nov 17 2012 fwang <fwang> 9.0.1-1.mga3.tainted
+ Revision: 319028
- new version 9.0.1

* Wed Oct 17 2012 fwang <fwang> 9.0.0-2.mga3.tainted
+ Revision: 307643
- add krh patch to build with wayland 0.99
- rebuild for new wayland

* Tue Oct 09 2012 tv <tv> 9.0.0-1.mga3.tainted
+ Revision: 303797
- fix blino packaging so that stable is newer than git snapshot
- new release
- drop patch 101, 201, 202 (merged)

* Thu Oct 04 2012 rtp <rtp> 9.0.0-0.git20120929.3.mga3.tainted
+ Revision: 302732
- enable some dri drivers on arm to workaround ftbfs.

  + tv <tv>
    - temporary obsolete older cauldron vdpau-driver-* packages

* Mon Oct 01 2012 tv <tv> 9.0.0-0.git20120929.2.mga3.tainted
+ Revision: 301233
- libify vdpau-driver-* names like GL drivers so that biarch systems can use them too

* Sun Sep 30 2012 blino <blino> 9.0.0-0.git20120929.1.mga3.tainted
+ Revision: 300616
- use System/Libraries group for vdpau drivers
- remove merged hunk in patch1
- update to snapshot of 9.0 branch from 20120929

* Thu Sep 13 2012 tv <tv> 9.0.0-0.git20120907.2.mga3.tainted
+ Revision: 293701
- rebuild for new x11-server

* Fri Sep 07 2012 blino <blino> 9.0.0-0.git20120907.1.mga3.tainted
+ Revision: 289617
- revert osmesa major to 8
- update to snapshot of 9.0 branch from 20120907

* Fri Sep 07 2012 blino <blino> 9.0.0-0.git20120906.1.mga3.nonfree
+ Revision: 289603
- update descriptions to state that mesa supports OpenGL 3.0

* Fri Sep 07 2012 blino <blino> 9.0.0-0.git20120906.1.mga3
+ Revision: 289384
- add second patch for the radeon parallel build
- remove libGLU packages, they have been split upstream
- run autoreconf in prep, not build
- bump osmesa major
- enable again radeonsi now that upstream fixed symbol conflicts with r600g
- rediff undefined symbols patch
- use upstream patch for the parallel radeon build issue
- remove i965 patches from Chromium for issues that have been fixed in 9.0
- update to snapshot of 9.0 branch from 20120906

* Mon Aug 06 2012 blino <blino> 8.1.0-0.git20120802.6.mga3.tainted
+ Revision: 279553
- use the Video group for vdpau drivers (instead of System/Libraries, so
  that they are not listed by urpmi_rpm-find-leaves -g)

* Mon Aug 06 2012 luigiwalser <luigiwalser> 8.1.0-0.git20120802.5.mga3.tainted
+ Revision: 278988
- rebuild for libffi

* Sun Aug 05 2012 blino <blino> 8.1.0-0.git20120802.4.mga3.tainted
+ Revision: 278734
- add another patch from marcheu/ChromiumOS to skip HiZ flush if no drawing has been done
- add patch from marcheu/ChromiumOS to fix clutter apps segfault on i965 (e.g. gnome-control-center, rh #842413)
- use apply_patches macro

* Sun Aug 05 2012 anssi <anssi> 8.1.0-0.git20120802.3.mga3.tainted
+ Revision: 278531
- fix undefined symbols in libOSMesa and libglapi
  (Fix-undefined-symbols-in-libOSMesa-and-libglapi.patch)

* Sat Aug 04 2012 blino <blino> 8.1.0-0.git20120802.2.mga3.tainted
+ Revision: 278333
- use a better patch to fix llvmpipe link
- disable radeonsi again, egl_gallium fails to link if both r600 and
  radeonsi are enabled (reported as fdo #52167)
- build radeonsi gallium driver: dri and vdpau (requires llvm >= 3.1)

* Fri Aug 03 2012 blino <blino> 8.1.0-0.git20120802.1.mga3.tainted
+ Revision: 278175
- update to snapshot from 20120802
- remove unneeded gl.pc patch now that osmesa.pc is in drivers/osmesa

* Thu Aug 02 2012 anssi <anssi> 8.1.0-0.git20120727.3.mga3.tainted
+ Revision: 278008
- enable libosmesa library for off-screen rendering
- fix parallel make (mesa-radeon-parallel-make.patch)
- fix installation of gl.pc when osmesa is enabled
  (mesa-8.1-fixglpc.patch from Fedora)
- replace deprecated configure parameter
- fix build with current llvm
- own /usr/include/GL

* Thu Aug 02 2012 guillomovitch <guillomovitch> 8.1.0-0.git20120727.2.mga3.tainted
+ Revision: 277908
- rebuild for latest libglew

* Sat Jul 28 2012 blino <blino> 8.1.0-0.git20120727.1.mga3.tainted
+ Revision: 275087
- update to snapshot from 20120727

* Tue Jul 24 2012 blino <blino> 8.1.0-0.git20120724.1.mga3.tainted
+ Revision: 274133
- do not build radeonsi yet, it requires LLVM 3.1
- dri drivers: do not require exact mesa release to avoid conflicts when
  having x86_64 drivers from tainted and i586 drivers from core (#6862)
- the main package can not be noarch
- build radeonsi gallium driver
- update to snapshot from 20120724 (for radeonsi)
- make mesa package noarch since it contains only a config file (possible fix for #6862)

* Mon Jul 23 2012 blino <blino> 8.1.0-0.git20120723.1.mga3.tainted
+ Revision: 273748
- update to snapshot from 20120723

* Sun Jul 22 2012 blino <blino> 8.1.0-0.git20120722.1.mga3.tainted
+ Revision: 273557
- update to snapshot from 20120722

* Thu Jul 19 2012 tmb <tmb> 8.1.0-0.git20120715.2.mga3.tainted
+ Revision: 272377
- rebuild with new glibc

* Mon Jul 16 2012 blino <blino> 8.1.0-0.git20120715.1.mga3
+ Revision: 271501
- dricore is now in libdir, create dricore lib sub-packages
- package new /etc/drirc in the mesa package and make dri drivers require it
- libglsl dynamic lib is gone, now a static lib is used by Mesa build system
- workaround llvmpipe test program link failure by removing --as-needed option for these (reported as fdo #52167)
- remove nouveau backports (already in Mesa 8.1)
- Mesa 8.1 git snapshot from 20120715
- remove obsolete README files from mesa package
- remove unused mesa-driver-install script source
- remove la files since they are not needed by mesa (prepare for mesa 8.1)
- drop unapplied patches
- always run autoreconf, and do not run autoreconf + configure twice when building from git

* Sat Jul 14 2012 blino <blino> 8.0.4-2.mga3
+ Revision: 270761
- build Gallium3D VDPAU plugins (using a package naming scheme similar to vaapi)
- drop obsolete --with-state-trackers=dri configure option,
--with-driver=dri does the same
- drop obsolete --disable-glut option, glut has been removed from upstream sources
- drop obsolete --enable-gallium-nouveau option, replaced by --with-gallium-drivers=nouveau

* Tue Jul 10 2012 anssi <anssi> 8.0.4-1.mga3.tainted
+ Revision: 269296
- new release 8.0.4
- backport nouveau commits from git master to allow build with
  libdrm_nouveau-2 (patches 401..420, plus adaptation patch 421)

* Fri Jun 29 2012 colin <colin> 8.0.3-3.mga3.tainted
+ Revision: 264947
- Rebuild against new libudev major

  + fwang <fwang>
    - rebuild for new drm_nouveau

* Wed May 30 2012 tv <tv> 8.0.3-1.mga3
+ Revision: 249561
- new release

* Thu Apr 12 2012 blino <blino> 8.0.2-2.mga2
+ Revision: 230504
- buildrequire llvm-devel since package has been split

* Thu Mar 22 2012 tv <tv> 8.0.2-1.mga2
+ Revision: 225653
- new release

* Thu Mar 01 2012 blino <blino> 8.0.1-3.mga2
+ Revision: 216556
- glesv2 devel package should require egl devel package (for KHR/khrplatform.h include)

* Wed Feb 29 2012 blino <blino> 8.0.1-2.mga2
+ Revision: 215979
- enable gbm (Graphics Buffer Manager) and wayland-egl

* Fri Feb 17 2012 tv <tv> 8.0.1-1.mga2
+ Revision: 210130
- new release

* Sat Feb 11 2012 tv <tv> 8.0-1.mga2.tainted
+ Revision: 207197
- drop unapplied patch 300 that was dropped by FC

* Fri Feb 10 2012 tv <tv> 8.0-1.mga2
+ Revision: 207029
- new release
- mesaGLUT is dead
- libGLw is dead
- drop drivers droped upstream
- drop patch 203 (upstream)

* Thu Dec 22 2011 anssi <anssi> 7.11.2-5.mga2.tainted
+ Revision: 186083
- fix crash with nouveau when opening an image in gwenview 4.7.90
  (nv50-nvc0-use-screen-instead-of-context-for-flush-notifier.patch from
   upstream git master)

* Wed Dec 14 2011 anssi <anssi> 7.11.2-4.mga2.tainted
+ Revision: 181478
- move nouveau drivers from -experimental to main DRI drivers package
  (as per discussion on mageia-dev@)
- drop swrast driver and rename swrastg to replace it (as per discussion
  on mageia-dev@)

* Tue Dec 06 2011 tmb <tmb> 7.11.2-3.mga2.tainted
+ Revision: 177781
- rebuild with gcc-4.6.2

* Mon Dec 05 2011 fwang <fwang> 7.11.2-2.mga2.tainted
+ Revision: 176868
- more patch on llvm 3.0
- more patch on llvm 3.0
- add upstream patch to build with llvm 3.0
- rebuild for new llvm

* Mon Nov 28 2011 tv <tv> 7.11.2-1.mga2.tainted
+ Revision: 173693
- new release
- new release

* Fri Nov 18 2011 fwang <fwang> 7.11.1-1.mga2.tainted
+ Revision: 168659
- new version 7.11.1

* Wed Nov 09 2011 anssi <anssi> 7.11-4.mga2.tainted
+ Revision: 165988
- build with shared dricore to make DRI driver binaries smaller
- re-enable parallel build
- drop old unapplied patch for dricore, implemented upstream

* Tue Oct 04 2011 colin <colin> 7.11-3.mga2.tainted
+ Revision: 151468
- Switch to freeglut now that it's been submitted

  + tv <tv>
    - explain why tainted in the SRPM description too
    - when tainted, require libtxc-dxtn (mga#1079)
    - fix require (libglut-devel => freeglut-devel) (mga#2421)
    - enable GL_ARB_texture_float extension in tainted section
    - new release
    - new prerelease
    - new prerelease

* Wed Jul 20 2011 mikala <mikala> 7.11-0.rc2.1.mga2
+ Revision: 127466
- Update tarball to mesa 7.11 rc2
- use pkconfig() for buildrequires
- fix files list

* Tue Jul 12 2011 mikala <mikala> 7.11-0.rc1.1.git20110712.1.mga2
+ Revision: 123310
- Update tarball to mesa 7.11 rc1 (use git tarball)
- enable back mesaglut
- fix file list
- Add udev-devel as BR
- Use git tarball (snapshot of 20110620) (which can really help gnome-shell...)
- Enable gallium drivers (for r300,r600,nouveau,swrast)
- Disable for the moment patch202,300,902,903,904,2004
- Disable build of mesa glut

* Tue Jun 14 2011 dmorgan <dmorgan> 7.10.3-1.mga2
+ Revision: 106004
- Remove P1000 ( Merged upstream )
  Add bison and flex as buildrequires

  + tv <tv>
    - new release mgarepo sync -c

* Tue Apr 19 2011 tv <tv> 7.10.2-4.mga1
+ Revision: 88451
- enable EGL since OpenVG support needs EGL
- add OpenVG packages
- remove useless glew BR thus hepling bootstraping
- add OpenGL ES 1 & 2 packages (for chromium and future)
- fix possibility to disable EGL
- make egl-devel requires libegl instead of libgl
- add "generic" provides to libs
- move pkgconfig files to the right places (and add proper Conflicts)
- use %%*majors in %%files definitions
- reorder packages to reduce differences with mdv
- fix a misplaced %%endif
- remove useless tcl & texinfo BR

* Tue Apr 19 2011 tv <tv> 7.10.2-3.mga1
+ Revision: 88346
- drop commented out applying non existing patch 1001
- use %%makeinstall_std
- remove unexistent --with-demos configure option
- remove white spaces at the end of lines
- remove useless exported variables
- there are no .la files, there's nothing to perl -pi -e
- remove useless mkdir
- move some requires from libgl-devel into libglut-devel
- libgl-devel  should require libgl instead of mesa
- don't remove files that don't exist
- add with_mesaglut switch (to help future freeglut conversion)

* Sun Apr 17 2011 tmb <tmb> 7.10.2-2.mga1
+ Revision: 86949
- i965: bump VS thread number to 60 on Sandy Bridge

* Tue Apr 12 2011 tv <tv> 7.10.2-1.mga1
+ Revision: 83583
- new release

* Mon Mar 28 2011 blino <blino> 7.10.1-1.mga1
+ Revision: 78230
- nouveau: fix includes for latest libdrm (from upstream git)
- 7.10.1 (fixes dri2 with r300)

* Sun Jan 23 2011 tmb <tmb> 7.10-1.mga1
+ Revision: 35532
- update to 7.10
- drop P905 (merged)
- add BR: makedepend

* Sat Jan 15 2011 rtp <rtp> 7.9-2.mga1
+ Revision: 18133
- add bootstrap (mesa->glew->mesa)
- fix build with current libdrm
- fix build on arm

  + pterjan <pterjan>
    - Drop obsolete scriptlets
    - imported package mesa


* Sat Nov 20 2010 Paulo Andrade <pcpa@mandriva.com.br> 7.9-2mdv2011.0
+ Revision: 599080
- Add back patch to correct X Server crash in the salome package
  CCBUG: 59084

* Wed Oct 06 2010 Thierry Vignaud <tv@mandriva.org> 7.9-1mdv2011.0
+ Revision: 583170
- BuildRequires:  libxml2-python
- BuildRequires:  talloc-devel
- new release
- rediff patch 201
- drop merged patches (202 302 904 905)
- mesa-demos was split out
- bump BR on libdrm
  (we should probably have a versioned require on the binary RPM too...)

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - New version: 7.8.2

* Mon Jun 21 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-6mdv2010.1
+ Revision: 548491
- Add patch to fix an intel bug (affects glknots and other apps)

* Mon May 17 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-5mdv2010.1
+ Revision: 545055
- Make invesalius work again (#59269)
  CCBUG 59269

* Tue May 11 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-4mdv2010.1
+ Revision: 544529
+ rebuild (emptylog)

* Mon May 10 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-3mdv2010.1
+ Revision: 544433
- Sync with mesa 7.8 branch
- Add patch to work around an Intel crash
  CCBUG: 59084

* Thu Apr 29 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-2mdv2010.1
+ Revision: 540853
- Add patch that should fix bug #58580

* Mon Apr 05 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-1mdv2010.1
+ Revision: 531894
- New version: 7.8.1

* Mon Mar 29 2010 Anssi Hannula <anssi@mandriva.org> 7.8-1mdv2010.1
+ Revision: 528705
- new version 7.8
- remove patches applied in upstream release

* Thu Mar 25 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc2.3mdv2010.1
+ Revision: 527416
- really apply patch added in last release

* Wed Mar 24 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc2.2mdv2010.1
+ Revision: 527232
- fix i945 miptree pitch disagreement (fixes mdv #58248, fd.o #26966,
  patch from mesa git master (da011faf48))

* Tue Mar 23 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc2.1mdv2010.1
+ Revision: 526943
- new release candidate 7.8-rc2
- bump buildrequires on libx11-devel, libxext-devel, libxxf86vm-devel,
  libxi-devel (Charles A Edwards)
- bump buildrequires on libdrm (due to nouveau changes)
- fix failing assertion in gl-117 and blender (upstream bug #27034, patch
  from 7.8 git branch)
- fix build of nouveau driver with current libdrm
  (renamed-NVxxTCL_TX_GEN-definitions.patch)

* Thu Mar 18 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc1.1mdv2010.1
+ Revision: 524757
- disable link-shared (libdricore.so) patch for now due to linking
  issues, as per fedora (our problems may be different than theirs,
  though)
- new release candidate 7.8 rc1
- enable nouveau driver, in lib(64)dri-drivers-experimental package
  (fixes #57884)
- remove fedora patches intel-revert-vbl-v1.1.patch,
  mesa-7.1-disable-intel-classic-warn-v1.3.patch, no longer applied by
  fedora
- remove now unneeded DRI-modules-are-not-under-usr-X11R6-anymore.patch
  and Fix-linux-dri-so-it-can-be-used-for-all-archs-thank.patch, both
  are handled by configure script now
- remove old disabled i965 memleak patch
- clean buildroot in the beginning of install stage
- update file lists
- rediff nukeglthread-debug.patch and link-shared.patch

* Tue Mar 16 2010 Anssi Hannula <anssi@mandriva.org> 7.7-5mdv2010.1
+ Revision: 521938
- remove -fno-strict-aliasing from ARCH_FLAGS, added upstream
- remove -fno-tree-vrp from ARCH_FLAGS, fixed in gcc 4.3+
- build with normal optimization (fd.o #10224, i.e. crashes on r200, is
  likely fixed in gcc during the last 3 years)
- remove RPM_OPT_FLAGS from ARCH_FLAGS, as mesa gets the flags from
  CFLAGS now
- split DRI drivers to unversioned lib(64)dri-drivers package
  (experimental ones will go to lib(64)dri-drivers-experimental when such
   drivers will be enabled at a later time)

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 7.7-4mdv2010.1
+ Revision: 499974
- move glinfo into glxinfo package too (prevent driconf and the like to require
  the big mesa-demos)

* Sun Jan 24 2010 Anssi Hannula <anssi@mandriva.org> 7.7-3mdv2010.1
+ Revision: 495514
- split glxinfo from mesa-demos into glxinfo package (mesa-demos will
  still pull it in)

* Wed Dec 23 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.7-2mdv2010.1
+ Revision: 481772
+ rebuild (emptylog)

* Tue Dec 22 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.7-1mdv2010.1
+ Revision: 481590
- New version: 7.7

* Wed Dec 16 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.6.1-0.rc4.1mdv2010.1
+ Revision: 479548
- New version: 7.6.1-rc4

* Mon Dec 14 2009 Thierry Vignaud <tv@mandriva.org> 7.6.1-0.rc3.2mdv2010.1
+ Revision: 478455
- enable r600 3D driver too

* Fri Dec 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.6.1-0.rc3.1mdv2010.1
+ Revision: 476544
- New version: 7.6.1-rc3
  Removed applied patches

  + Thierry Vignaud <tv@mandriva.org>
    - drop requires from mesa-demos on mesa (empty package but for docs)

* Mon Oct 05 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5.2-2mdv2010.0
+ Revision: 454106
- Fix problems with r200 and r300 textures.

* Thu Oct 01 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5.2-1mdv2010.0
+ Revision: 452203
- Update to mesa 7.5.2
  Remove patch 0200 (already included in this release)

* Mon Sep 28 2009 Thierry Vignaud <tv@mandriva.org> 7.6-0.1mdv2010.0
+ Revision: 450711
- fix URL

* Sun Sep 27 2009 Anssi Hannula <anssi@mandriva.org> 7.5.1-3mdv2010.0
+ Revision: 450137
- remove duplicate libdricore.so (it already exists in /usr/lib/dri/)

  + Olivier Blin <oblin@mandriva.com>
    - merge mips changes (from Arnaud Patard)

* Thu Sep 17 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5.1-1mdv2010.0
+ Revision: 443963
- Add build fix (cherry-picked from 7.5.2 branch)
- New version: 7.5.1
- Drop upstream patches
- Do not apply master cherry-pick for now until I can research the solution more

  + Guillaume <gc@mandriva.com>
    - bump release
    - add Requires: to workaround buggy pkg-config on mismet private dependencies

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 7.5-2mdv2010.0
+ Revision: 408410
- patch 201: upstream fix for black screen (eg: mplayer -vo gl with r300 card)

* Mon Jul 20 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.5-1mdv2010.0
+ Revision: 398194
- Update to version 7.5

* Sun Jul 05 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc4.2.git20090705.1mdv2010.0
+ Revision: 392644
- Disable parallel make as it causes issues with the shared dricore
- Update to the latest 7.5-branch which fixes issues for intel stuff in rc4.

* Tue Jun 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.5-0.rc4.1mdv2010.0
+ Revision: 391020
- update to 7.5 RC4
- drop patch 101 (applied upstream)

* Thu Jun 18 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc3.3mdv2010.0
+ Revision: 387186
- Add upstream patch for intel memory leak (fdo#20704)
- Remove upstream patch that causes problems with compiz (fdo#20704)

* Mon Jun 08 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc3.2mdv2010.0
+ Revision: 383856
- Actually apply the patches I added in the last release (*sigh*)

* Sat Jun 06 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc3.1mdv2010.0
+ Revision: 383226
- Add upstream patch for memory leak and proposed patch from intel-gfx list
- Update to RC3

* Mon May 18 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.5-0.rc2.1mdv2010.0
+ Revision: 377047
- update to 7.5-rc2
- fix build failure
- update to 7.5-rc1
- drop patch 100 (applied upstream)

* Thu Apr 30 2009 Colin Guthrie <cguthrie@mandriva.org> 7.4.1-1mdv2010.0
+ Revision: 369157
- New version: 7.4.1
- Break egl support (it was disabled anyway)

* Thu Jan 22 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.3-1mdv2009.1
+ Revision: 332631
- New version: 7.3

* Fri Jan 16 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.3-0.20090116.1mdv2009.1
+ Revision: 330321
- Update to git tag mesa_7_3_rc2

* Sun Jan 11 2009 Christiaan Welvaart <spturtle@mandriva.org> 7.3-0.20081220.2mdv2009.1
+ Revision: 328265
- disable patch301 because it does not support r200

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 7.3-0.20081220.1mdv2009.1
+ Revision: 321330
- Update to recent git snapshot
- Liberate patches from Fedora
- Convert out patches to git for simpler management
- Drop unneeded patches

* Tue Dec 02 2008 Colin Guthrie <cguthrie@mandriva.org> 7.2-1.20081001.2mdv2009.1
+ Revision: 308947
- Build swrast after the others.. note to self: *test* after making last minute changes
- Build swrast driver explicitly

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 7.2-1.20081001.1mdv2009.1
+ Revision: 307986
- Update mesa to post-7.2 snapshot (as used by fedora)
- Adapt some patches
- Liberate some fedora patches

* Fri Aug 22 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 7.0.4-1mdv2009.0
+ Revision: 275210
- Disables i915tex dri driver.
- Update to version 7.0.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Make libmesagl owner of  %%{_prefix}/lib/dri on x86_64 (32 bit binaries).

* Fri May 09 2008 Lev Givon <lev@mandriva.org> 7.0.3-2mdv2009.0
+ Revision: 205304
- Add arch-independent provides to library packages.

* Mon Apr 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.3-1mdv2009.0
+ Revision: 193181
- Update to version 7.0.3.
  Also use gccmakedep instead of makedepend by default, but make it
  configurable. This should remove more than half of the compile warnings,
  due to makedepend not finding several dependencies.

* Mon Mar 10 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.2-5mdv2008.1
+ Revision: 183783
- Actually add patches to update documentation, version (7.0.3 rc 2), and
  add two files not available in the "official" 7.0.2 tarball.

* Mon Mar 10 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.2-4mdv2008.1
+ Revision: 183716
- Add bug fixes from mesa stable branch. Basically:
    git format-patch mesa_7_0_2..origin/mesa_7_0_branch
  but did not add patches that are not bug fixes, so this should be very
  close to mesa 7.0.3 rc2 without the documentation updates.
  This also has the side effect of "automatically" enabling fortran
  support, that has been asked by a user.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.2-3mdv2008.1
+ Revision: 153289
- Update BuildRequires.
  Needs to add xgixp and nouveau dri modules.
  Mesa 7.0.3 is expected to be released in 1 to 2 weeks, so no more changes
  to package should be done until the next release.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - stop packaging obsolete RELNOTES-[34].*

* Mon Nov 12 2007 Thierry Vignaud <tv@mandriva.org> 7.0.2-2mdv2008.1
+ Revision: 108238
- patch 60: fix build
- new release
- kill patches 44, 46, 47, 100, 101, 102 & 103 (merged upstream)
- make it --short-circuit-able

* Wed Oct 24 2007 Thierry Vignaud <tv@mandriva.org> 7.0.1-12mdv2008.1
+ Revision: 101784
- kill patch 6, now unneeded (added in 6.5-8mdv2007.0, sent by Sebastien savari):
  "static inline functions are broken on some architetures"
- remove patch 9 (fix compiling on x86_64) that I introduced in 6.5-8mdv2007.0
  since it's now unneeded

* Wed Oct 24 2007 Thierry Vignaud <tv@mandriva.org> 7.0.1-11mdv2008.1
+ Revision: 101769
- compile with -O1 since it fixes some freeze on r200 (fd.o bug #10224)
- remove suspicious patch 7 (added by boiko in 6.5-8mdv2007.0, sent by Sebastien
  savari): "in some cases radeon may have 0 bits depth"

* Tue Oct 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 7.0.1-10mdv2008.0
+ Revision: 94821
- adding one more patch from claudio as a fix for #34090
  (metisse/neverball crashes on mesa). It's an obvious
  fix for a crash that happens after the previous
  workaround (we now hit what appears to be an
  unrelated bug).

* Tue Oct 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 7.0.1-9mdv2008.0
+ Revision: 94680
- adding patch from claudio to workaround bug #34090
  (metisse/neverball crash).  It just avoids the crash until
  we have the real fix, but it's a safe workaround.

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 7.0.1-8mdv2008.0
+ Revision: 89928
- rebuild

* Tue Sep 18 2007 Anssi Hannula <anssi@mandriva.org> 7.0.1-7mdv2008.0
+ Revision: 89724
- rebuild due to package loss

* Tue Sep 04 2007 Olivier Blin <oblin@mandriva.com> 7.0.1-6mdv2008.0
+ Revision: 79234
- mention OpenGL 2.1 support in description and summary (from JLP, #33115)

* Fri Aug 31 2007 Olivier Blin <oblin@mandriva.com> 7.0.1-5mdv2008.0
+ Revision: 76766
- restore gcc options, wrongly modified in commit 69003

* Sun Aug 26 2007 Anssi Hannula <anssi@mandriva.org> 7.0.1-4mdv2008.0
+ Revision: 71693
- remove GL.conf alternative, moved to x11-server-common

* Wed Aug 22 2007 Olivier Blin <oblin@mandriva.com> 7.0.1-3mdv2008.0
+ Revision: 69061
- fix glxinfo segfault with unichrome DRI (reported as upstream bug 12097)
- fix potential NULL dereference in unichrome (freedesktop bug 11879)

* Tue Aug 07 2007 Olivier Blin <oblin@mandriva.com> 7.0.1-2mdv2008.0
+ Revision: 59955
- add support for Intel 965GME/GLE (from upstream git)
- add support for Intel G33, Q33, and Q35 chipsets (from upstream git)
- add support for Intel 945GME (from upstream git)
- build with -fno-tree-vrp to fix r300 misrenderings/freezes
- re-enable parallel build

* Mon Aug 06 2007 Thierry Vignaud <tv@mandriva.org> 7.0.1-1mdv2008.0
+ Revision: 59341
- new release

* Tue Jun 26 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 7.0-1mdv2008.0
+ Revision: 44280
- New upstream release: 7.0
- Redid patches linux-dri-config and radeon-0depthbits
- Removed patch: google_earth: there is a DRI runtime config option to configure
  the fallback checking.

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 6.5.3-2mdv2008.0
+ Revision: 36911
- rebuild for expat

* Fri May 04 2007 Colin Guthrie <cguthrie@mandriva.org> 6.5.3-1mdv2008.0
+ Revision: 22173
- Enable i915tex driver (needs new drm/kernel bits to activate)

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - New upstream release: 6.5.3

* Tue Apr 17 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5.2-8mdv2008.0
+ Revision: 13910
- Fix some texture data corruption


* Fri Mar 30 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5.2-7mdv2007.1
+ Revision: 149942
- Fix moving DRI windows on Matrox cards

* Wed Mar 14 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5.2-6mdv2007.1
+ Revision: 143503
- check for the context to be valid before using it (probably fixes #29089)

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - ppc64 fixes

* Wed Jan 10 2007 Colin Guthrie <cguthrie@mandriva.org> 6.5.2-4mdv2007.1
+ Revision: 106878
- Fix demo builds on x86_64
- Fix BuildRequires
- Just use a linux-dri target for all architectures. This restores the effects of ARCH_FLAGS so this part has been reverted too.
- Build against new glproto (1.4.8)
- Add -fno-strict-aliasing to build flags as recommended by Mesa developers
- Make Mesa build system understand some extra build flags

* Tue Dec 26 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5.2-1mdv2007.1
+ Revision: 102110
- It seems parallel building is not as good as I thought it was
- new upstream version (6.5.2)
- Re-added a patch removing an incomplete extension
- new upstream version: 6.5.1
  Highlights of this version:
   * Intel i965 support
   * New OpenGL extensions added
   * New demo program: engine
   * Many fixes and improvements in drivers

* Sun Sep 17 2006 Olivier Blin <oblin@mandriva.com> 6.5-17mdv2007.0
+ Revision: 61745
- fix crash with null context (#25555)

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - use update-alternatives

* Wed Sep 13 2006 Olivier Blin <oblin@mandriva.com> 6.5-15mdv2007.0
+ Revision: 60951
- copy libGL files in _libdir/mesa instead of hardlink them (anyway, the stripping broke the hardlink), or else a rpm weirdness prevents libGL.so.1 from being there (#25553)

* Fri Sep 08 2006 Olivier Blin <oblin@mandriva.com> 6.5-14mdv2007.0
+ Revision: 60557
- hardlink libGL files in _libdir/mesa to prevent proprietary driver installers from removing them

* Tue Sep 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5-13mdv2007.0
+ Revision: 59842
- Add support for DRI on Intel i965

* Thu Aug 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5-12mdv2007.0
+ Revision: 58895
- enable tdfx for x86 and x86_64

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com> 6.5-11mdv2007.0
+ Revision: 57986
- ensure all GART allocations are freed on context destruction (r300)
- rediff Patch44, and really apply it (GL may finally work on r300 PCIE)

* Sat Aug 19 2006 Olivier Blin <oblin@mandriva.com> 6.5-10mdv2007.0
+ Revision: 56829
- mesa-6.5-10mdv2007.0
- fix r300 on PCIE (glxinfo now works, but GL apps still make the X server crash)

* Sat Aug 12 2006 Olivier Blin <oblin@mandriva.com> 6.5-9mdv2007.0
+ Revision: 55526
- make sure mesa-source-file-generator is executable
- make sure mesa-driver-install can be executed
- bump release
- add missing glxext.c bits in old mesa-6.5-tfp-fbconfig-attribs.patch
- rename last mesa-6.5-texture-from-pixmap-fixes.patch bits as mesa-6.5-no-ARB_render_texture.patch
- move texture_from_pixmap tokens patch in mesa-6.5-texture_from_pixmap_tokens.patch
- move tfp_entrypoints patch in mesa-6.5-tfp_entrypoints.patch (and use upstream CVS diff)
- Add attrib_list to glXBindTexImageEXT
- remove attribList from glXBindTexImageEXT prototype, it breaks the extension because of incomplete implementation

* Fri Aug 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5-8mdv2007.0
+ Revision: 48074
- remove remaining menu references
- Removed old menu entries from mesa demos.
- disable some checks making Google Earth work on r300 cards (#23854)
- Fixed a typo in previous commit
- There is no i830
- Added provides for the old mesa glu and glut devel packages (#22551)
- Many fixes for linux-dri (thanks Christiaan Welvaart)
- Enable r300 installation
- Added a more recente texture-from-pixmap-fixes patch
- Added two more patches fixing the tfp extension
- rebuild to fix compilation on x86_64
- compile mesa xdemos (glxinfo and glxgears are back).
- put a brief comment for the patches
- Adding some patches (thanks S?\195?\131?\194?\169bastien savari):
    * Fix the texture from pixmap extension implementation
    * Enable r300 support (it is experimental yet)
    * static inline functions are broken on some architetures
    * no exec stack for ELF
    * in some cases radeon may have 0 bits depth
- Added initial EGL support to the package (I left it disabled for now as it
  seems some header files are still missing)
- new upstream release: 6.5
- added a patch fixing the path where dri modules are in.
- moved old changelog to ../misc
- fixed some dependencies
- adding an updated mesa prepared to be used by the X.org 7.0

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - include %%{_includedir}/GL/svgamesa.h on %%{sunsparc}
    - add list of dri drivers to build on sparc
      indent
      fix path to demos in menu item

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix build (parallel build is broken)
    - better description of GLw too
    - better description of GLU and GLUT

  + Christiaan Welvaart <spturtle@mandriva.org>
    - fix build for ppc: do not build sis by using linux-dri-ppc make target
    - Fix build on ppc by adding svgamesa.h to filelist

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added compile fix patch for x86_64 by Thierry Vignaud

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Wed Oct 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 5.0.2-12mdk
- merge ppc64 build fixes from older branch

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 5.0.2-11mdk
- adapt rpath patch for libtool 1.5.18

* Fri Aug 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 5.0.2-10mdk
- gcc4 fixes
- remove obsolete libGLU hack

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.0.2-9mdk
- libtool fixes

* Sat Sep 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.0.2-8mdk
- use libtool 1.4 for now

* Sat Aug 21 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 5.0.2-7mdk
- add BuildRequires: automake1.4
- remove packager tag

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 5.0.2-6mdk
- Rebuild with new menu

* Fri Jun 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 5.0.2-5mdk
- Rebuild
- Reapply patch1

* Fri Jun 04 2004 Laurent Montel <lmontel@mandrakesoft.com> 5.0.2-4mdk
- Rebuild again new gcc

* Fri Jun 04 2004 Laurent Montel <lmontel@mandrakesoft.com> 5.0.2-3mdk
- Fix build against gcc 3.4
- Add patch to nuke unpackaged files (patch from Gb)

